
#include "support.h"

//------------------------------------------------------------------------------

const U08 hex_array[] = "0123456789ABCDEF";
U08 conversion_buffer[CONVERSION_BUFFER_LENGTH]; // U8 Array fr ASCII Konversion
//------------------------------------------------------------------------------

pU8 U08_to_str(U8 value)
{
  pU8 str = conversion_buffer;

  if (value >= 100) *str++ = ('0' + (value % 1000 / 100));
  if (value >= 10) *str++ = ('0' + (value % 100 / 10));
  *str++ = ('0' + (value % 10));
  *str = 0;

  return (conversion_buffer);
}
//------------------------------------------------------------------------------

pU8 U16_to_str(U16 value)
{
  pU8 str = conversion_buffer;

  if (value >= 10000) *str++ = ('0' + (value % 100000 / 10000));
  if (value >= 1000) *str++ = ('0' + (value % 10000 / 1000));
  if (value >= 100) *str++ = ('0' + (value % 1000 / 100));
  if (value >= 10) *str++ = ('0' + (value % 100 / 10));
  *str++ = ('0' + (value % 10));
  *str = 0;

  return (conversion_buffer);
}
//------------------------------------------------------------------------------

pU8 U08_to_hex(U8 value)
{
  pU8 str = conversion_buffer;
  
  *str++ = hex_array[value >> 4];
  *str++ = hex_array[value & 0x0F];
  *str = 0;
  
  return (conversion_buffer);
}
