#include <avr/interrupt.h>
#include <avr/io.h>
#include "support.h"
#include "usart.h"
#include "timer.h"
#include "rf12.h"

const char MSG_VERSION[] = "USB TEST\r\n";
//------------------------------------------------------------------------------

int main (void) 
{
	unsigned char test[100]="Das ist ein test String\n";
	usart_init(); // Serielle Schnittstelle initialisieren
	usart_writeln_flash_str(MSG_VERSION); 
	DDRD = (1<<6)|(1<<4);

	PORTD |= (1<<6);
	PORTD |= (1<<4);
	
	rf12_init();					// ein paar Register setzen (z.B. CLK auf 10MHz)
	rf12_setfreq(RF12FREQ(433.92));	// Sende/Empfangsfrequenz auf 433,92MHz einstellen
	rf12_setbandwidth(5, 1, 4);		// 200kHz Bandbreite, -6dB Verstrkung, DRSSI threshold: -79dBm 
	rf12_setbaud(9600);				// 19200 baud
	rf12_setpower(0, 6);			// 1mW Ausgangangsleistung, 120k
	usart_write_U16(RF12FREQ(433.92));
  while(1)
  { 	
	rf12_txdata(test,24);
	for(int a=0;a<10000;a++)
	{
	NOP();
	}
	//usart_writeln_str((char*)test);
	
  }
}

