/*#######################################################################################

Copyright (C) 2004 Ulrich Radig

#######################################################################################*/

#include "timer.h"
volatile unsigned long display = 0;
volatile unsigned char dot = 5;
const char SEGMENTE[] = {183,130,59,171,142,173,189,131,191,175};
unsigned char segcounter = 0;
unsigned int  lowovf = 0;
unsigned char highovf = 0;
unsigned char sekcnt = 0;
unsigned char mkhz = 0;


//############################################################################
//Timer3 Interrupt
ISR (TIMER2_OVF_vect)
//############################################################################
{
}

//############################################################################
//Timer1 Interrupt
ISR (TIMER1_OVF_vect)
//############################################################################
{
}

//############################################################################
//Timer0 Interrupt
ISR (TIMER0_OVF_vect)
//############################################################################
{
}

//############################################################################
//Diese Routine startet und inizialisiert den Timer
void init_timer3 (void)
//############################################################################
{
	usart_write_str("Start Clock");
	//Interrupt for the Clock enable  
    TIMSK |= (1 << TOIE2)|(1 << TOIE0)|(1 << TOIE1);
	//Setzen des Prescaler auf 1024 
	TCCR2 |= (0<<CS20 | 1<<CS21 | 1<<CS22); 
	TCCR1B = (1<<CS10 | 1<<CS11 | 1<<CS12);
	TCCR0 = (1<<CS00 | 1<<CS01 | 1<<CS02); 
	TCNT2 = 0; 
	TCNT1 = 0;
	TCNT0 = 0;
	return;
}


